## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XTokenNumberAdapterAllocator Class Reference

List of all members.

## Public Types

- typedef XTokenNumberAdapter object_type
- typedef ReusableArenaAllocator<
  object_type > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XTokenNumberAdapterAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XTokenNumberAdapterAllocator ()
- object_type * create (const XToken &theXToken)
    Create an instance from an XToken.
- bool destroy (object_type *theObject)
    Delete an XStringAdapter object from allocator.
- bool ownsObject (const object_type *theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all XStringAdapter objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block.
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated.

## Member Typedef Documentation

typedef ReusableArenaAllocator<object_type> XTokenNumberAdapterAllocator::ArenaAllocatorType

typedef XTokenNumberAdapter XTokenNumberAdapterAllocator::object_type

typedef ArenaAllocatorType::size_type XTokenNumberAdapterAllocator::size_type

## Constructor & Destructor Documentation

XTokenNumberAdapterAllocator::XTokenNumberAdapterAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XTokenNumberAdapterAllocator::~XTokenNumberAdapterAllocator | ( |  | ) |

## Member Function Documentation

object_type* XTokenNumberAdapterAllocator::create | ( | const XToken & | theXToken | ) |

Create an instance from an XToken.

Parameters:

  theXToken | The source XToken

Returns:
  A pointer to the new object

bool XTokenNumberAdapterAllocator::destroy | ( | object_type * | theObject | ) |

| Delete an XStringAdapter object from allocator.

size_type XTokenNumberAdapterAllocator::getBlockCount | ( |  | ) | const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XTokenNumberAdapterAllocator::getBlockSize | ( |  | ) | const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

bool XTokenNumberAdapterAllocator::ownsObject | ( | const object_type * | theObject | ) |

| Determine if an object is owned by the allocator...

void XTokenNumberAdapterAllocator::reset | ( |  | ) |

| Delete all XStringAdapter objects from allocator.

The documentation for this class was generated from the following file:

- XTokenNumberAdapterAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.